Bug 235731 - [NEW PORT] irc/bitlbee-mastodon: Bitlbee plugin to communicate with Mastodon instances
Summary: [NEW PORT] irc/bitlbee-mastodon: Bitlbee plugin to communicate with Mastodon ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-02-14 05:38 UTC by Tobias Rehbein
Modified: 2019-02-16 20:04 UTC (History)
1 user (show)

See Also:


Attachments
shell archive containing irc/bitlbee-mastodon (2.28 KB, text/plain)
2019-02-14 05:38 UTC, Tobias Rehbein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Rehbein 2019-02-14 05:38:02 UTC
Created attachment 202008 [details]
shell archive containing irc/bitlbee-mastodon

This plugin allows Bitlbee to communicate with Mastodon instances. Mastodon is a free, open-source, decentralized microblogging network. Bitlbee is an IRC server connecting to various other text messaging services. You run Bitlbee and connect to it using an IRC client, then configure Bitlbee to connect to other services, such as a Mastodon instance where you already have an account. The benefit is that you can now use any IRC client you want to connect to Mastodon.

* portlint -CN: OK (looks fine)
* poudriere: OK (12.0 amd64)

I am using the port successfully.
Comment 1 Mateusz Piotrowski freebsd_committer 2019-02-15 14:57:13 UTC
https://reviews.freebsd.org/D19205
Comment 2 Mateusz Piotrowski freebsd_committer 2019-02-16 20:03:42 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-02-16 20:04:19 UTC
A commit references this bug:

Author: 0mp
Date: Sat Feb 16 20:03:25 UTC 2019
New revision: 493081
URL: https://svnweb.freebsd.org/changeset/ports/493081

Log:
  New port: irc/bitlbee-mastodon: Bitlbee plugin to communicate with Mastodon instances

  This plugin allows Bitlbee to communicate with Mastodon instances. Mastodon
  is a free, open-source, decentralized microblogging network. Bitlbee is an
  IRC server connecting to various other text messaging services. You run
  Bitlbee and connect to it using an IRC client, then configure Bitlbee to
  connect to other services, such as a Mastodon instance where you already
  have an account. The benefit is that you can now use any IRC client you
  want to connect to Mastodon.

  WWW: https://alexschroeder.ch/software/Bitlbee_Mastodon

  PR:		235731
  Submitted by:	tobias.rehbein@web.de
  Reviewed by:	mat
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19205

Changes:
  head/irc/Makefile
  head/irc/bitlbee-mastodon/
  head/irc/bitlbee-mastodon/Makefile
  head/irc/bitlbee-mastodon/distinfo
  head/irc/bitlbee-mastodon/pkg-descr